<?php
ob_start();
require("check_auth_user.php");
require("dbconnect.php");
include('../includes/function.php');


$maindb = "custdata";
$formname = "Customer Print";
$file = "custdata_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];


if (isset($_POST["view"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];
    $oms = $_POST["oms"];
    $state = $_POST["state"];
    
    $statecond = "";
    $namecond = "";
    $countrycond = "";
    $citycond = "";
    $omscond = "";
    
    if (!empty($state)) {
        $statecond = " AND `state` = '$state' ";
    }
    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` = '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }
    if (!empty($oms)) {
        if ($oms == 'Y') {
            $omscond = "AND `oms` = '1'";
        } else {
            $omscond = "AND `oms` = '0'";
        }
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond $omscond ORDER BY NAME")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    
    </head>
    <body>
        <div class="container">
    <?php include("../includes/head_rep.php");
    ?>
                    <table class="table table-condensed table-hover table-bordered">
                        <tr class="mySearchTr">
                            <th width="5%">Sr. No.</th>
                            <th width="15%">Name</th>
                            <th width="25%">Address</th>
                            <th width="10%">GST No.</th>
                            <!-- <th width="10%">Country</th> -->
                            <th width="10%">State</th>
                            <th width="10%">City</th>
                            <th width="10%">Email</th>
                            <th width="5%">Pin</th>
                            <th width="7%">Tel.</th>
                            <th width="7%">Mobile</th>
                        </tr>
                        <tr>
                            <!--<button type="button" name="print" onclick="PrintDiv();">PRINT TEST</button>-->
                        </tr>
    <?php
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        Echo "<tr class='bgwhite'>";
        Echo "<td>$ctr</td>";
        Echo "<td>$pmain[name]</td>";
        Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3]</td>";
        Echo "<td>$pmain[gstno]</td>";
        Echo "<td>$pmain[state]</td>";
        Echo "<td>$pmain[city]</td>";
        Echo "<td>$pmain[email]</td>";
        Echo "<td>$pmain[pin]</td>";
        Echo "<td>$pmain[tel]</td>";
        Echo "<td>$pmain[mobile]</td>";
        Echo "</tr>";
        $ctr++;
    }
    ?>
                    </table>
        </div>

    <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}

if (isset($_POST["excel"])) {
    $name = $_POST["name"];
    $country = $_POST["country"];
    $city = $_POST["city"];
    $oms = $_POST["oms"];

    $namecond = "";
    $countrycond = "";
    $citycond = "";
    $omscond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` = '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` = '$city' ";
    }
    if (!empty($oms)) {
        if ($oms == 'Y') {
            $omscond = "AND `oms` = '1'";
        } else {
            $omscond = "AND `oms` = '0'";
        }
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $statecond $countrycond $omscond ORDER BY NAME")or die(mysqli_error($conn));


    $contents .= "Sr. No., Name, Address, GST No., State, City, Email, Pin, Tel, Mobile \n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= "$ctr" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]" . ",";
        $contents .= "$pmain[gstno]" . ",";
        $contents .= "$pmain[state]" . ",";
        $contents .= "$pmain[city]" . ",";
        $contents .= "$pmain[email]" . ",";
        $contents .= "$pmain[pin]" . ",";
        $contents .= "$pmain[tel]" . ",";
        $contents .= "$pmain[mobile]" . "\n";
        $ctr++;
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
